#
# spec file for package libretro-mame2003-plus
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           libretro-mame2003-plus
Version:        0~git20200807
Release:        pm151.1.2
Summary:        MAME 2003 Plus libretro core for arcade emulation
License:        NonFree
URL:            http://www.retroarch.com
Source:         %{name}-%{version}.tar.xz

BuildRequires:  gcc-c++
BuildRequires:  make

%description
MAME 2003-Plus (also referred to as MAME 2003+ and mame2003-plus) is a libretro
arcade system emulator core with an emphasis on high performance and broad
compatibility with mobile devices, single board computers, embedded systems,
and similar platforms.

In order to take advantage of the performance and lower hardware requirements
of an earlier MAME architecture, MAME 2003-Plus began with the MAME 2003
codebase which is itself derived from xmame 0.78. Upon that base, MAME 2003-Plus
contributors have backported support for an additional 350 games, as well as other
functionality not originally present in the underlying codebase.

This package is for RetroArch/libretro front-end.

%prep
%setup -q

%build
make

%install
mkdir -p %{buildroot}%{_libdir}/libretro
cp mame2003_plus_libretro.so %{buildroot}%{_libdir}/libretro

%files
%dir %{_libdir}/libretro
%{_libdir}/libretro/mame2003_plus_libretro.so

%changelog
* Sun Aug  9 2020 i@guoyunhe.me
- Update to version 0~git20200807:
  * Update mystwarr.c
  * Update simpl156.c
  * Update foodf.c
  * Update midyunit.c
  * Update mystwarr.c
  * Update mystwarr.c
  * Update bootstrap.c
  * Update bootstrap.h
  * Update bootstrap.h
  * Update mcr2.c
  * Update mcr2.c
  * Update inptport.c
  * Update mame2003.c
  * Update mame.h
  * twotigra
  * Windows MSVC 2003 x86 and rpi4 added.
  * Update .travis.yml
  * Fix various graphical niggles for the video system games
  * Update .travis.yml
  * Turbo Force fix numerous problems due to incorrect inputs
  * Update bootstrap.c
  * Removed custom OST samples from DAT
  * Remove Final Fight AE OST from DAT
  * Update catver.ini with new games
  * Add the proper manufacturers in this case Semicom and or Licence
  * Update mame2003-plus.xml
  * Update catver.ini
  * Revert this change and use a bypass hack for Gunbird 2 via the psikyosh driver
  * Actually there is another way of doing this
  * Added PSClassic (#752)
  * Forgot to add 2P Controls for Opa Opa and Tetris
  * MSVC buildfix
  * update once again
  * Declare the new ones
  * Video Changes needed for Opa Opa and Slap Shooter
  * Three new working games
  * Connected to Gunbird 2 fix
  * Fix Gunbird 2 from randomly crashing
  * Update inptport.c
  * Update CHANGELOG.md
  * Update 8080bw_vidhrdw.c
  * Update 8080bw_sndhrdw.c
  * Update 8080bw.h
  * Update 8080bw_drivers.c
  * Update CHANGELOG.md
  * twotigra
  * Update mcr2.c
  * Update CHANGELOG.md
  * Update CHANGELOG.md
  * Update thief.c
* Sat Jun  6 2020 i@guoyunhe.me
- Update to version 0~git20200525:
  * Mention the new one
  * Gulun.Pa! gfx mapping
  * gulunpa
  * New working game Gulun.Pa! CPS1 prototype
  * Update CHANGELOG.md
  * Update CHANGELOG.md
  * sample volume
  * Update samples.h
  * Update samples.c
  * Update mixer.h
  * Update mixer.c
  * sample pause support for journey
  * Let's support another joystick bootleg this time for TANK III
  * mention the new one
  * TANK III Joystick bootleg
  * Update mcr2.c
  * Whatsnew and credits
  * Update mcr2.c
  * Update samples.c
  * fix big samples dynamic loading when not an ost item
  * Update mcr2.c
  * Update mcr2.c
  * Update foodf.c
  * Update inptport.c
  * Update mame2003.c
  * Update mame.h
  * Update inptport.c
  * Update foodf.c
  * Fix a bug in loop condition
  * grant2258 A fix for Midway MCR3 game saving
  * Update dat grant2258
  * Last one from me
  * hmmm
* Sun Feb  9 2020 i@guoyunhe.me
- Update to version 0~git20200209:
  * Renegade bootleg
  * Renegade Bootleg set
  * New stuff
  * Rumba Lumber 1984 Taito
  * Rumba Lumber Video code
  * New Working Game
  * Hook up the M68705 MCU's for Renegade and Nekketsu Kouha Kunio-kun
  * Update dat for Renegade and Kunio Kun changes (pending)
  * Fix -mthumb for cyclone and drz80
  * Whoops!!
  * Revert SF samples for now
  * Fix build revert SF samples for now
  * SF 2 OSD cont
  * Add support for SF 2 custom OSD
  * Skull Fang notes
  * grant2258 small graphical fixes for Bionic Commando / Top Secret
  * grant2258 match CPU clocks to the speed of the actual PCB
  * Update libretro.h
  * (MSVC 2017) Buildfix
  * (MSVC 2017) Buildfix
  * fix emscripten
  * Fix for speedups on altered beast
  * Format error
  * Some changes on interrupts for Cyclone and DrZ80
  * (VITA) Add Cyclone and DrZ80
  * Cyclone and DrZ80 support
  * U.N. Defense Force - Earth Joker fix rowscroll on final level
  * Revert on previous commit as it kills the game speed
  * updatey
  * gunnailp
  * NMK16 Changes
  * GunNail Gfx Improvements
  * New opwolf driver hooked up to the C-Chip simulation
  * Add opwolf C-Chip machine
  * Operation Wolf C-Chip Simulation
  * Switch Ghouls N Ghosts to use 4-WAY inputs
  * Switch Ghost's N Goblins to use 4-WAY inputs
  * barbudreadmon fix for Eagle Shot Golf on Arm hardware
  * grant2258 v60 changes cont
  * grant2258 v60 changes for ARM hardware
  * Remove this unused function - it's preventing it from building for emscripten
  * Metamorphic Force revert changes
  * Revert Metamorphic Force changes
  * Metamorphic Force test cont
  * Test for sprite offsets in Metamorphic Force
  * Mention the new one
  * Gfx mapping for Final Fight 30th Anniversary Edition
  * ffightae
  * Add support for Final Fight 30th Anniversary Edition
  * Fix the lights dont go out when shot in Elevator Action Returns and clones
  * Attempt to fix priority issues in Fighters History
  * Mention the new hack
  * Whoops
  * Metal Slug 2 Turbo
  * Forgot about this one so lets support it
  * Correct way to compare string
* Mon Nov 11 2019 i@guoyunhe.me
- Update to version 0~git20191109:
  * For the new one
  * Eeekk!
  * New working game Eeekk!
  * Revert Scramble Spirits changes it wont work in this core
  * Do some work on Sega System 24
  * Silence debug message
  * Little hack to fix some gfx problems in Lethal Enforcers
* Mon Nov 11 2019 Yunhe Guo <i@guoyunhe.me>
- Change license to NonFree
  * See https://github.com/libretro/mame2010-libretro/issues/137#issuecomment-552253010
* Wed Oct 23 2019 Yunhe Guo <i@guoyunhe.me>
- Initial version
